gendesk(1)

NAME
gendesk - generate .desktop files from commandline arguments or PKGBUILD files

SYNOPSIS
gendesk path to PKGBUILD file (optional)

DESCRIPTION
Supported PKGBUILD variables that will be included in the generated file:

_name

_genericname

_comment

_mimetype

_exec

_categories

Gendesk will try to find the correct icon from the Open Icon Library or else fall back on the default icon.

The correct application category will be guessed if not provided. Supported environment variables:

pkgname

pkgdesc

EXAMPLES
gendesk
  Exits with errorcode 1 if ../PKGBUILD is not found and pkgname is not given and $pkgname is not defined. Will try to use both $pkgname and $pkgdesc.

gendesk PKGBUILD
  Looks for a PKGBUILD in the current directory and generates a .desktop file.

gendesk --pkgname test --pkgdesc test
  Generates a .desktop file for the name "test" with the description "test".

gendesk /home/user/archpackages/mypackage/PKGBUILD
  Generates a .desktop file from the given PKGBUILD.

A package name must be given, either by specifying a PKGBUILD file, using --pkgname or by defining a $pkgname environment variable.

Note that if any existing .desktop files with the same name will be overwritten!

OPTIONS

--version
    displays the current version information

-h or --help
    displays brief usage information

-n  don't attempt to download an icon, if missing

--nocolor
    don't use colored text

-q  quiet; don't output text

-f  force; overwrite files if needed

-wm generate a small desktop file for launching a windowmanager instead

--pkgname
    use this package name for the application (ie. emacs)

--pkgdesc
    use this package description for describing the application and try to find a suitable category

--name
    use this name for the desktop shortcut (ie. Emacs)

--genericname
    use this generic name for the desktop shortcut (ie. Text Editor)

--comment
    use this comment for the desktop shortcut (ie. Use this to edit files)

--exec
    specify an alternative executable, (ie. /usr/bin/emacs)

--categories
    specify categories (ie. Utility;TextEditor;)

--terminal
    specify if the application should be run in a terminal (default is false)

--mimetypes
    specify mimetypes

--startupnotify
    specifiy if a desktop notification should occur when the application starts (default is false)

--custom
    specify an extra line (or several lines) to append at the end

WHY

Aims to make it easy for package maintainers to add menu entries for the applications they try to package, without including anything that hasn't been supplied by upstream in the package itself.

BUGS
Only unknown bugs so far. Bugs can be reported at https://github.com/xyproto/gendesk/issues.

VERSION
0.6.2

AUTHOR
gendesk was written by Alexander Rødseth <rodseth@gmail.com>